# IDE Team Design Process

## Discussions / Issues

The goal is that contributors can create and discuss feature suggestions without needing to have everything fully figured out. Feel free to file a new [Github issue](https://github.com/dotnet/roslyn/issues/new?assignees=&labels=Area-IDE%2CFeature+Request&template=feature-suggestion.md) or start a [discussion](https://github.com/dotnet/roslyn/discussions/new). These conversations can continue at their own pace until contributors feel ready to make a more formal proposal.

## Proposals

### Adding a proposal

For a feature proposal to be reviewed, a Github issue needs to be created that has the following items in its description. If these aren't there to start they eventually need to be appended as a comment to the issue before its brought up for discussion.

- **Summary**: Brief summary of what this proposal is about.
- **Background and Motivation**: What is the problem we are solving and in what context did you encounter it?
- **Proposed Feature**: How the proposed solution solves the problem?
- **Alternative Designs**: Were there other options you considered? How does this compare to features in other editors?

Once you've added the details for your feature tag a member of the Roslyn-IDE team and they will add the "[Feature Request](https://github.com/dotnet/roslyn/issues?=is%3Aissue+is%3Aopen+sort%3Aupdated-desc+label%3A%22Feature+Request%22)" label to your Github issue.

### Getting the issue championed by the IDE team

A member of [Roslyn-IDE](https://github.com/orgs/dotnet/teams/roslyn-ide) will need to decide to "champion" that feature proposal and bring it for discussion by adding it to the "On Deck" tab in the [IDE Design Review](https://github.com/dotnet/roslyn/projects/40) project. Behind the scenes the IDE Team generally meets once a week to discuss these issues.
